Name: libpcap
Version: 0.9.8
Release: 1
Summary: A system-independent interface for user-level packet capture
Group: Development/Libraries
License: BSD
URL: http://www.tcpdump.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Source: http://www.tcpdump.org/release/%{name}-%{version}.tar.gz


%description
Libpcap provides a portable framework for low-level network
monitoring.  Libpcap can provide network statistics collection,
security monitoring and network debugging.  Since almost every system
vendor provides a different interface for packet capture, the libpcap
authors created this system-independent API to ease in porting and to
alleviate the need for several system-dependent packet capture modules
in each application.

Install libpcap if you need to do low-level network traffic monitoring
on your network.


%package devel
Summary: Libraries and header files for the libpcap library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libpcap provides a portable framework for low-level network
monitoring.  Libpcap can provide network statistics collection,
security monitoring and network debugging.  Since almost every system
vendor provides a different interface for packet capture, the libpcap
authors created this system-independent API to ease in porting and to
alleviate the need for several system-dependent packet capture modules
in each application.

This package provides the libraries, include files, and other 
resources needed for developing libpcap applications.

 
%prep
%setup -q


%build
./configure --prefix=%{_prefix} --mandir=%{_prefix}/man --with-pcap=bpf
make

CreateExportList libpcap.exp libpcap.a
cc -qmkshrobj libpcap.a -o shr.o -bE:libpcap.exp -lodm -lcfg
rm -f libpcap.exp libpcap.a
ar -rv libpcap.a shr.o


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,system)
%doc LICENSE README CHANGES CREDITS doc/pcap.txt
%{_libdir}/libpcap.a


%files devel
%defattr(-,root,system)
%{_includedir}/pcap*.h
%{_mandir}/man3/pcap.3*


%changelog
* Tue Oct 16 2007 Michael Perzl <michael@perzl.org> - 0.9.8-1
- first version for AIX V5.1 and higher

